package cn.iocoder.yudao.module.system.enums.robot;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * robot_task_detail的task_type
 */
@Getter
@AllArgsConstructor
public enum RobotTaskTypeEnum {
    TAKE_RELEASE(1),//取放货
    PARK(2),//停车
    CHARGE(3),//充电
    MOVE(4),//移动
    TAKE(5),//仅取货
    RELEASE(6),//仅放货
    SCAN(7),//扫描码
    DETECTING_TRAYS(8),//检测托盘类型
    MOVE_TO_POINT(9); //移动到指定点位
    /**
     * 类型
     */
    private final Integer type;

    public static RobotTaskTypeEnum getRobotTaskType(Integer type) {
        for (RobotTaskTypeEnum item : RobotTaskTypeEnum.values()) {
            if (item.getType().equals(type)) {
                return item;
            }
        }
        return null;
    }
}
